DKBSignDocs

API reference

PUTRequires Bearer token

Update a document

/api/edm/documents/{document_id}

409 document_sealed if the document is sealed.

Path parameters

FieldTypeDescription
document_id
Required
stringPath parameter document_id.

Query parameters

This endpoint has no query parameters.

Request body

FieldTypeDescription
name
stringDisplay name.
folder_id
stringMove to another folder.
typology_id
stringTypology UUID.
metadata
objectBusiness metadata.
tags
arrayTags.
client_ref
stringClient reference.
contract_ref
stringContract reference.
transaction_ref
stringTransaction reference.

Responses

StatusMeaning
200Updated
401Missing or invalid Bearer token.

Request

curl
curl -X PUT 'https://api.dkbsigns.com/api/edm/documents/uuid_or_id' \
  -H 'Authorization: Bearer $DKBSIGN_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{"name":"example","folder_id":"uuid_or_id","typology_id":"uuid_or_id","metadata":{},"tags":["example"],"client_ref":"example","contract_ref":"example","transaction_ref":"example"}'

Response 200

json
{
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "org_id": "1",
  "folder_id": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
  "typology_id": null,
  "name": "Contract 2026.pdf",
  "status": "draft",
  "size_bytes": 1048576,
  "mime_type": "application/pdf",
  "owner_user_id": "4",
  "metadata": {},
  "tags": [
    "client-x"
  ],
  "legal_hold": false,
  "version_count": 1,
  "sealed_at": null,
  "created_at": "2026-03-01T10:00:00Z",
  "updated_at": "2026-03-01T10:00:00Z"
}